EM4K(4)

NAME
em4k - ELBOX Mediator 4000 PCI bridge driver

SYNOPSIS
em4k0 at zbus0
emmem0 at zbus0
pci* at empb0
options PCI_NETBSD_CONFIGURE

DESCRIPTION
The em4k driver provides support for the PCI bus present on Mediator 4000 bridge and associated PCI/Zorro daughterboards.

HARDWARE
The em4k driver supports the following hardware:

ELBOX Mediator PCI 4000D

ELBOX Mediator PCI 4000Di

ELBOX Mediator PCI 4000T

ELBOX Mediator PCI 3000D

ELBOX Mediator PCI 3000T
MK-II editions are also supported.

SEE ALSO
amiga/empb(4), amiga/mppb(4), amiga/p5pb(4), pci(4)

HISTORY
The em4k device first appeared in NetBSD 7.0.

AUTHORS
-nosplit The em4k driver was written by Radoslaw Kujawa <radoslaw.kujawa@gmail.com>. It was developed using information obtained through reverse engineering by Frank Wille and Radoslaw Kujawa. The authors have no access to official documentation (which is only available under NDA).

BUGS
DMA to host memory is not supported. It is unclear if the hardware supports DMA to host memory at all. It is possible to implement DMA through bounce buffers in graphics card memory, but this needs further research.